Overview

Digital Patrol is a modern effective antitrojan scanner capable of finding and deleting all known types of trojan programs, Internet worms, script viruses and other harmful programs.

The program scans your computer disks and memory and deactivates viruses. It also has a unique system of "hot" update from the Internet, which allows updating antivirus bases and downloading new versions of the program.

Program heuristic analysis and scanning algorithms make possible to find both primitive DOS viruses and viruses of the new generation for Windows.

Program features:

  • works under Windows 95 (with IE 5.0)/98/ME/NT4 (with IE 5.0)/2000/XP
  • tests system memory and deactivates viruses;
  • finds more then 11000 viruses;
  • searches and deletes all known types of viruses;
  • scans your computer disks and memory for viruses and Trojan programs;
  • scans archives and packed files;
  • deletes active trojan programs from disk, even if file is blocked with it;
  • tests system registry autoload areas;
  • updates antivirus bases daily;
  • various customizable settings;
  • updates virus bases and executable modules automatically;
  • code analyser, allowing to find new viruses and trojan programs;
  • user friendly interface;
  • E-mail support.

The program scans your computer disks and memory and deactivates the following viruses:

  • Trojan programs
  • Programs for remote administration
  • Trojan programs for password theft
  • Internet worms
  • IRC/mIRC/pIRC worms
  • Script viruses (VBS/VBE/BAT/mIRC)

It also has a unique system of "hot" update from the Internet, which allows updating antivirus bases and downloading new versions of the program.

Program heuristic analysis and scanning algorithms make possible to find both primitive DOS viruses and viruses of the new generation.

Works under:

  • Windows 95 (with IE 5.0)
  • Windows 98
  • Windows ME
  • Windows NT4 (with IE 5.0)
  • Windows 2000
  • Windows XP

Minimum system requirements:

  • Windows 95 with IE 5.0
  • 8 Mb RAM (for NT Workstation - 32 Mb)
  • 2 Mb hard disk space


Menu Scan

This topic contains a number of recommendations for users, provided by the software support team.
As soon as you have installed the program, we recommend you to update your antivirus base. If it is the first time you have performed the operation, it is necessary to start a full scanning. By starting, the program scans all system modules and programs that start with Windows. If there is any active Trojan program, it will be immediately found.
For full scanning you should select all disks available and click "start".
We highly recommend you to perform a full scanning weekly.
If scanning reveals any suspicious file, please mail it to the program developers or to our support team. You should describe your problem in detail.

Scan local and network disks for computer viruses.
Select folders and scan them for viruses.
Scan system memory for harmful programs and viruses.
Scan files and programs that start with Windows.
View detailed statistics about scanning.


Disks

Use this tab to select and scan for viruses all available drives, both local and network. You can select one or several disks for scanning.

If scanning reveals virus in memory, you'll get a warning and it will be displayed at Statistics tab.

Click on disk with the left mouse button to select it. Selected disk will be marked with red check mark.

Use toolbar to select or unselect all, all local or all network disks. You can also use context menu (click with the right mouse button to call it).


Folders

Use this tab to select any folder, local or network drive and scan them for viruses.

If scanning will reveal virus in memory, you'll get a warning and it will be displayed at Statistics tab.

There are two ways of adding folder to the list: context menu; toolbar.

After you have selected folders just click of "Start" button to start scanning.


Memory

Use this tab to scan the system memory for harmful program and viruses. If scan will reveal virus in memory, you'll get a warning and it will be displayed at Statistics tab.

If at "Setup" menu at "General" tab "Open 'what to do' dialog" is selected for infected files, you'll get a warning and will be able to select what to do with virus.

You should indicate the name of the file with viruses or Trojan programs, a virus name and a prompt message for users.


Autorun

Use this tab to check for viruses and harmful programs files which are starting with Windows.

Practically all trojan program and programs for remote administration add themselves to autorun. Using this feature allows you almost instantly and without full scanning find active trojan progran and program for remote administration.


Statistics

After scanning is finished the program will automatically switch to that page and you can read here detailed information about performed scan.


Settings

Digital Patrol has got a unique configurative system of applications. So it is possible to use it for a large set of purposes.

Various settings of scan process itself are available here.
Settings specifying what to record in the log file.
Change the program interface as you like.


General

The main and most important settings can be found here. Default settings provide most reliable protection of your computer from viruses. But you can change these settings.

What objects to scan

Here you can specify what objects you would like to be scanned.

System memory - scan system memory.

Start up - scan programs that starts with windows.

Packed files - scan executable files that are packed with packing utilities like UPX, ASpack, etc.

Archives and mail bases - scan archives and mail bases (currently bases for Outlook and TheBat! are supported).

What to do with infected objects

Here you specify what action will perform the program when infected object is found.

Show to-do dialog - if you select this option, every time a virus is found the program will open the dialog where you'll be able to select what to do with infected object.

Only report - all infected objects will be recorded on Statistics page and no actions will be performed.

Automatically disinfect - the program will try to disinfect all infected objects without asking a user. NOTE that not all files can be cured!

Code analyzer

Code analyzer - is a heuristic algorythm that allows to find new, previously unknown viruses. It analyzes code of a file for virus-like instructions and informs user when finds a copbination of commands belonging to a specific virus class.

Modifications - some popular viruses have many modifications. It is impossible to add all modifications of each virus into virus base. But if main virus definition is included, it is possible to find it's modification. Turn this option ON to make the program check computer for virus modifications.

Virus definitions

How often check for updates (in days) - this option specifies how often the program will remind you to update virus definitions.


Log

Log file - specify name of log file here.

Append to the end - log file will be appended to the end of the old log file. If you turn this feature OFF a new log file will be created each time you start the program and the old one will be deleted.

Limit the size of the log file to - file will be deleted as soon as this size is achieved.

Record time in the log file - adds time when the operation was performed to the log file.

Record all scanned files in the log file - in log file will be recorded all files checked by the program.
Note! Turning this mode on will greatly increase log file and slow the program.


Interface

Language - Digital Patrol currently supports languages - English, Russian and Ukrainian.

Scan priority - this option allows you to set program priority.

Open Statistics after scan is started - check this and the program will automatically go to Statistics tab when you start scanning.

Open Statistics after scan is completed - check this and the program will automatically open Statistics tab after scan is completed.

Update Statistics every ... seconds - during scanning process Statistics will be updated at interval you specify.

Calculate estimated scan time - check this if you want to know how long will it take to scan your files.

Play sounds - check this if you want to get audible alerts on moving between program sections, scan completion or when infected file is found.

Save windows size and position - if this is checked, the program will remember its position when it was closed and will open at the same position and with the same size.

Show splash screen at program start - this option toggles showing of splash screen.


Support

Menu Support allows you to view the programs 'About', launch this help file and update utility.

Opens this help file.
Launches automatic update.
Sends email to the program developers.
Opens default internet browser and goes to the program homepage.


Overview

Quarantine

Quarantine is a module where Scanner, Monitor and other antivirus modules place infected and suspicious files. Files stored in quarantine are encoded so there is no risk to get infected, as executable code can't be launched without decoding.

You can add suspicious files to quarantine manually using button Add item, or make Scanner and other modules save files here by turning on option Copy to Quarantine.The program will copy infected files here, leaving them at their original location.

Repair Items attempts to cure stored files. Properties shows details about file. Restore item moves file to it's original location. Delete Item deletes selected file. Submit item uploads suspicious file to our webserver.


Monitor

Antivirus monitor is the program that resides in RAM and controls all files launched. When an application is launched, monitor scans it and it virus is detected offers to disinfect, delete or block access to the object, depending on settings. Thus monitor allows to find and delete virus before system is actually infected.


Registration

This is not free software!

You are entitled to use it for evaluation purposes without charge for a period of 30 days. If you want to use Digital Patrol after the 30-day evaluation period you must pay a registration fee. For information about prices and ordering details (credit cards, voice, fax, and snail mail) please go to Ordering Info page.

Note! Before you register, make sure you have the latest version of the software. The latest version is always accessible at Digital Patrol site.


Code Analyzer

Анализатор кода (эвристический анализатор) проверяет код файлов по разным ветвям алгоритма сканируемой программы на наличие вирусоподобных инструкций и выдает сообщение, если обнаружена комбинация команд принадлежащих определенному классу вирусов.

Конечно, такие алгоритмы могут давать ложные срабатывания, как и любой из подобных эвристических алгоритмов, но он был протестирован на очень большом количестве файлов, и при этом не было получено ни одного действительно ложного срабатывания.

Если Вы обнаружите ложные срабатывания на неинфицированных файлах, вышлите в "Антивирусную Лабораторию Дизет" экземпляры этих файлов для анализа. При сканировании кода анализатор проверяет много ветвей алгоритма программы (включая несколько подуровней).

Вследствие этого "Антивирус Stop!" работает примерно на 10% медленнее при включенном анализаторе, чем при выключенном. Но данный механизм определяет около 80% вирусов из нашей коллекции, и мы рассчитываем, что новые неизвестные вирусы будут определяться с такой же вероятностью.

Эвристический анализатор не удаляет вирусы из файлов, помеченных как “подозрительные” (“suspicious”).


Frequently asked questions

Question: Why do you have less then 5,000 viruses in your base? Does that mean that Digital Patrol is worse then antiviruses with 50,000 viruses in their bases?

Answer: No, Digital Patrol isn't worse. It is optimized for working with modern viruses. We do not support about 30,000 DOS viruses, but we find practically all up-to-date worms and trojan programs.

Question: You release beta, but version number is 3.0. Why?

Answer: Digital Patrol is based on popular russian antivirus program. It has proven it's reliability and quality with 4 year success on national market and is now a third best-saled antivirus program in Russia.

Question: What is the difference between full version and demo? What are demo limitations?

Answer: Demo will work only 30 days and has no heuristic analysis. That means that the program will find only known viruses, and wouldn't find any new (unknown) viruses. Heuristic analysis is our exclusive technology and we provide it only to our registered users.

Question: Okay. I want to buy it. How can I do it?

Answer: Please, visit our Ordering Info page. If you have any problems purchasing - contact our support team.

Question: Why is it important to update frequently?

Answer: For secure protection of your computer from most recent virus you need to update Digital Patrol everyday. Automatic Update is a unique feature that allows you to update not only virus base, but also any changed program components. Everyday update is also a unique feature of Digital Patrol. Most antivirus programs issue updates at best once a week. We update our bases everyday. That means that you'll be protected from wide spread virus (like Nimda for example) before epidemic burst.

Question: I launch Digital Patrol, but update doesn't start.

Answer: You need to launch Digital Patrol Live Update. It is located in the same Start Menu folder as Digital Patrol itself.


Disks

Digital Patrol supports many keyboard shortcuts to make working with it easier.

<Home> - moves cursor to the ïåðåìåùàåò êóðñîð â íà÷àëî ðåäàêòèðóåìîãî ïîëÿ ââîäà.
<End> - ïåðåìåùàåò êóðñîð â êîíåö ðåäàêòèðóåìîãî ïîëÿ.
<Spacebar> - âêëþ÷àåò èëè îòêëþ÷àåò ïàðàìåòðû, èëè íàæèìàåò êíîïêè.
<Tab> - ïåðåìåùàåò ôîêóñ ê ñëåäóþùåìó ýëåìåíòó.
<Shift+Tab> - ïåðåìåùàåò ôîêóñ ê ïðåäûäóùåìó ýëåìåíòó.
<Alt+Tab> - ïåðåõîä ê äðóãîé îòêðûòîé çàäà÷å.
<Alt+Spacebar> - îòêðûâàåò ñèñòåìíîå ìåíþ.

<Alt+F4> - çàêðûâàåò àêòèâíîå ïðèëîæåíèå.


Virus dialog

This dialog displays name of file containing virus or trojan program, virus name and a recommendation for user what to do with this file.

Possible actions:

"Ïðîïóñòèòü" - don't perform any actions with infected file and continue scanning.

"Ïðåðâàòü ñêàíèðîâàíèå" - stop scanning and go to main program window. No actions will be performed with infected file.

"Óäàëèòü" - delete infected file or file containing trojan program.
Note! Before deleting file from disk it will be deleted from system memory.
If virus or trojan program is not deleted from memory, there is 10% chance of deleting in from disk, because file will be "locked" with operating system.
This feature is available only in registered version!

"Ëå÷èòü" - "cure" ("cut" virus from files) infected file.
Note that not all infected files may be cured correctly and it is recommended to recover file from backup copy. If it is possible to cure the infected file the program will do it.
Note! Files infected with trojan programs cannot be cured, because these files are viruses and there is nothing to cure there. There files should be just deleted.

"Ïåðåìåñòèòü" - move infected files to specified folder (quarantine).

"Èíôîðìàöèÿ î âèðóñàõ" - get detailed information about virus at developers site. You need a connection to the Internet for that.

"Ïðèìåíèòü äåéñòâèå êî âñåì çàðàæåííûì îáúåêòàì" - if this checkbox is checked, the program will apply the last action you selected to all viruses it finds during current scanning and this dialog will not appear. For example if you have selected to "delete" infected file and checked this checkbox, all infected files will be deleted.